*, *:after, *:before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.popup {min-width:810px;}
.popup h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 0.2s;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popup .close:hover {
  color: #06D85F;
}
.popup .content {
  max-height: 80%;
	font-family: Tahoma,sans-serif; 
	line-height: 1.5em;
  overflow: auto;
}

.e-button {
  text-decoration: none;
  text-transform: uppercase;
  display: inline-block;
  background: linear-gradient(to right, #ff5e3a 0%, #ff2a68 100%);
  padding: 20px 40px;
	font-family: Tahoma,sans-serif; 
  color: #fff;
  box-shadow: 0px 40px 30px -10px rgba(0, 0, 0, 0.3);
  transition: all 0.3s ease-in-out;
	margin-top: 10%; margin-left: 25%;
}
.e-button:hover {
  box-shadow: 0px 20px 15px -5px rgba(0, 0, 0, 0.5);
  transform: translateY(10px);
}
.e-button:active {
  box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.8);
  transform: translateY(15px);
}

/*Let's make it appear when the page loads*/
.overlay:target:before {
    display: none;
}
.overlay:before {
  content:"";
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: block;
  background: rgba(0, 0, 0, 0.6);
  position: fixed;
  z-index: 9;
}
.overlay .popup {
  background: #fff;
  border-radius: 5px;
  width: 30%;
  position: fixed;
  top: 0;
  left: 35%;
  padding: 25px;
  margin: 70px auto;
  z-index: 10;
  -webkit-transition: all 0.6s ease-in-out;
  -moz-transition: all 0.6s ease-in-out;
  transition: all 0.6s ease-in-out;
}
.overlay:target .popup {
    top: -100%;
    left: -100%;
}

@media screen and (max-width: 768px){
  
  .overlay .popup{
    width: 70%;
    left: 15%;
  }
}